/*	(C) Copyright 1991 Dave Fritsche (wb8zxu), All Rights Reserved.
 * 
 *	Redistribution and use in source and binary forms are permitted for
 *	non-commercial use, provided that the above copyright notice and this
 *	paragraph are duplicated in all such forms.  THIS SOFTWARE IS PROVIDED
 *	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *	WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 *	FITNESS FOR A PARTICULAR PURPOSE.
 */
#include <stdio.h>

#define MAIN
#include "screen.h"

main(argc, argv)
int argc;
char *argv[];
{
	unsigned char tmp[128];
	int n;

	debug = 0;
	n = 1;
	while (argc > 1)
	{
		if (strcmp(argv[n], "-d") == 0)
			debug = 1;
		n++;
		argc--;
	}

	scrn00();
	sleep(5);
	scrn00a();
	proc00a();
	scrn01();
	proc01();
	scrn02();
	clrscr();
	proc02();

	sprintf(tmp, "%s\\bin", path);			mk_dir(tmp);
	sprintf(tmp, "%s\\finger", path);		mk_dir(tmp);
	if (netnews)
	{
		sprintf(tmp, "%s\\news\\doc", path);	mk_dir(tmp);
		sprintf(tmp, "%s\\news\\lib", path);	mk_dir(tmp);
	}
	sprintf(tmp, "%s\\pub\\doc", path);		mk_dir(tmp);
	sprintf(tmp, "%s\\pub\\kiss", path);		mk_dir(tmp);
	sprintf(tmp, "%s\\pub\\uudecode", path);	mk_dir(tmp);
	sprintf(tmp, "%s\\spool\\help", path);		mk_dir(tmp);
	sprintf(tmp, "%s\\spool\\mail", path);		mk_dir(tmp);
	sprintf(tmp, "%s\\spool\\mqueue", path);	mk_dir(tmp);
	sprintf(tmp, "%s\\spool\\rqueue", path);	mk_dir(tmp);
	sprintf(tmp, "%s\\tmp", path);			mk_dir(tmp);

	if (ka9q && !g1emm)
		mk_auto("ka9q.net");
	if (!ka9q && g1emm)
		mk_auto("g1emm.net");
	if (ka9q && g1emm)
	{
		g1emm = 0;
		mk_auto("ka9q.net");
		g1emm = 1;
		ka9q = 0;
		mk_auto("g1emm.net");
		ka9q = 1;
	}

	if (ka9q || g1emm)
	{
		mk_domain("domain.txt");
		mk_ftpu("ftpusers");
		mk_fing();
		mk_info();
		mk_start("startnos.bat");
	}
	if (bm)
		mk_bmrc();
	if (netnews)
		mk_news();
	execute("finish.bat");
}
