/*	(C) Copyright 1991 Dave Fritsche (wb8zxu), All Rights Reserved.
 * 
 *	Redistribution and use in source and binary forms are permitted for
 *	non-commercial use, provided that the above copyright notice and this
 *	paragraph are duplicated in all such forms.  THIS SOFTWARE IS PROVIDED
 *	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *	WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 *	FITNESS FOR A PARTICULAR PURPOSE.
 */
/*bdoc
 *	Function "PUTTXT"
 *
 *	Written:  Dave Fritsche
 *	Date:  July, 1987
 *
 *	A function to place the cursor (x,y), set an attribute (sa), write
 *	a string of text (txt), then set an exit attribute (fa).
 *	Syntax:
 *		puttxt(x, y, sa, fa, txt)
 edoc*/

#include <stdio.h>

puttxt(x, y, sa, fa, txt)
int x, y, sa, fa;
char txt[];
{
	putcur(x, y);
	setatt(sa);
#ifdef CPRINTF
	cprintf("%s", txt);
#else
	printf("%s", txt);
#endif
	if (sa != fa)
		setatt(fa);
}
