/*	(C) Copyright 1991 Dave Fritsche (wb8zxu), All Rights Reserved.
 * 
 *	Redistribution and use in source and binary forms are permitted for
 *	non-commercial use, provided that the above copyright notice and this
 *	paragraph are duplicated in all such forms.  THIS SOFTWARE IS PROVIDED
 *	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *	WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 *	FITNESS FOR A PARTICULAR PURPOSE.
 */
#define TITLE		" DLF -- v910324 "

#define TSA		0
#define TFA		0
#define ISA		0
#define IFA		0

#define BUFSZ		128
#define MAXFIELDS	30
#define LINESZ		80

#define UP		1
#define DOWN		2
#define LEFT		4
#define RIGHT		8
#define CR		16
#define ESC		32
#define F1		64
#define F2		128
#define F3		256
#define F4		512
#define F5		1024
#define F6		2048
#define F7		4096
#define F8		8192
#define F9		16384
#define F10		32768

#ifdef	MAIN
int tx[MAXFIELDS], ty[MAXFIELDS], tsa[MAXFIELDS], tfa[MAXFIELDS];
int ix[MAXFIELDS], iy[MAXFIELDS], isa[MAXFIELDS], ifa[MAXFIELDS];
int up[MAXFIELDS], dn[MAXFIELDS], l[MAXFIELDS], r[MAXFIELDS], nfields;
char attrib;
unsigned int rmask[MAXFIELDS], gate_rqd, debug, ka9q, g1emm, bm, netnews;
unsigned char title[MAXFIELDS][LINESZ], iif[MAXFIELDS][LINESZ];
unsigned char ift[MAXFIELDS][LINESZ], ifd[MAXFIELDS][LINESZ];
unsigned int com1, com2, com3, com4, drsi_0, drsi_1, pc100_0, pc100_1;
unsigned int nr_rqd, rmt_pass, ed_path, tz, pgr;
unsigned long ip, gateway, com1spd, com2spd, com3spd, com4spd;
unsigned long drsi_0spd, drsi_1spd, pc100_0spd, pc100_1spd;
unsigned char buf[BUFSIZ], name[41], street[41], city[41], state[3];
unsigned char zip[6], phone[14], callsign[10], password[10];
unsigned char path[128], editor[41], timezone[10], pager[41];
unsigned char com1typ[5], com2typ[5], com3typ[5], com4typ[5];
unsigned char drsi_0typ[5], drsi_1typ[5], pc100_0typ[5], pc100_1typ[5];
#else
extern int tx[], ty[], tsa[], tfa[], ix[], iy[], isa[], ifa[];
extern int up[], dn[], l[], r[], nfields;
extern unsigned int rmask[], gate_rqd, debug, ka9q, g1emm, bm, netnews;
extern unsigned char title[MAXFIELDS][LINESZ], iif[MAXFIELDS][LINESZ];
extern unsigned char ift[MAXFIELDS][LINESZ], ifd[MAXFIELDS][LINESZ];
extern unsigned int com1, com2, com3, com4, drsi_0, drsi_1, pc100_0, pc100_1;
extern unsigned int nr_rqd, rmt_pass, ed_path, tz, pgr;
extern unsigned long ip, gateway, com1spd, com2spd, com3spd, com4spd;
extern unsigned long drsi_0spd, drsi_1spd, pc100_0spd, pc100_1spd;
extern unsigned char buf[], name[], street[], city[], state[];
extern unsigned char zip[], phone[], callsign[], password[];
extern unsigned char path[], editor[], timezone[], pager[];
extern unsigned char com1typ[], com2typ[], com3typ[], com4typ[];
extern unsigned char drsi_0typ[], drsi_1typ[], pc100_0typ[], pc100_1typ[];
#endif
