/*	(C) Copyright 1991 Dave Fritsche (wb8zxu), All Rights Reserved.
 * 
 *	Redistribution and use in source and binary forms are permitted for
 *	non-commercial use, provided that the above copyright notice and this
 *	paragraph are duplicated in all such forms.  THIS SOFTWARE IS PROVIDED
 *	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *	WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 *	FITNESS FOR A PARTICULAR PURPOSE.
 */
#include <stdio.h>
#include "screen.h"

int scrn02()
{
	int n;

	n = 0;

/* field 1 */
    if (com1)
    {
    	com1 = n+1;
	tx[n] = 13;	ty[n] = 6;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM1 baudrate:");
	ix[n] = 29;	iy[n] = 6;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 2 */
	tx[n] = 50;	ty[n] = 6;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM1 type (slip/ax25):");
	ix[n] = 74;	iy[n] = 6;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 3 */
    if (com2)
    {
    	com2 = n+1;
	tx[n] = 13;	ty[n] = 7;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM2 baudrate:");
	ix[n] = 29;	iy[n] = 7;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 4 */
	tx[n] = 50;	ty[n] = 7;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM2 type (slip/ax25):");
	ix[n] = 74;	iy[n] = 7;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 5 */
    if (com3)
    {
    	com3 = n+1;
	tx[n] = 13;	ty[n] = 8;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM3 baudrate:");
	ix[n] = 29;	iy[n] = 8;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 6 */
	tx[n] = 50;	ty[n] = 8;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM3 type (slip/ax25):");
	ix[n] = 74;	iy[n] = 8;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 7 */
    if (com4)
    {
    	com4 = n+1;
	tx[n] = 13;	ty[n] = 9;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM4 baudrate:");
	ix[n] = 29;	iy[n] = 9;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 8 */
	tx[n] = 50;	ty[n] = 9;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "COM4 type (slip/ax25):");
	ix[n] = 74;	iy[n] = 9;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 9 */
    if (drsi_0)
    {
    	drsi_0 = n+1;
	tx[n] = 4;	ty[n] = 10;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "DRSI 1st port baudrate:");
	ix[n] = 29;	iy[n] = 10;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 10 */
	tx[n] = 41;	ty[n] = 10;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "DRSI 1st port type (slip/ax25):");
	ix[n] = 74;	iy[n] = 10;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 11 */
    if (drsi_1)
    {
    	drsi_1 = n+1;
	tx[n] = 4;	ty[n] = 11;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "DRSI 2nd port baudrate:");
	ix[n] = 29;	iy[n] = 11;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 12 */
	tx[n] = 41;	ty[n] = 11;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "DRSI 2nd port type (slip/ax25):");
	ix[n] = 74;	iy[n] = 11;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 13 */
    if (pc100_0)
    {
    	pc100_0 = n+1;
	tx[n] = 3;	ty[n] = 12;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "PC100 1st port baudrate:");
	ix[n] = 29;	iy[n] = 12;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 14 */
	tx[n] = 40;	ty[n] = 12;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "PC100 1st port type (slip/ax25):");
	ix[n] = 74;	iy[n] = 12;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 15 */
    if (pc100_1)
    {
    	pc100_1 = n+1;
	tx[n] = 3;	ty[n] = 13;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "PC100 2nd port baudrate:");
	ix[n] = 29;	iy[n] = 13;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "     ");
	strcpy(ift[n], "|||||");
	strcpy(ifd[n], "1200 ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 16 */
	tx[n] = 40;	ty[n] = 13;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "PC100 2nd port type (slip/ax25):");
	ix[n] = 74;	iy[n] = 13;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "ax25");
	strcpy(ift[n], "????");
	strcpy(ifd[n], "ax25");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 17 */
    if (rmt_pass)
    {
    	rmt_pass = n+1;
	tx[n] = 3;	ty[n] = 15;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "Password for remote 'Super-User' access:");
	ix[n] = 45;	iy[n] = 15;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "        ");
	strcpy(ift[n], "********");
	strcpy(ifd[n], "        ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 18 */
    if (gate_rqd)
    {
    	gate_rqd = n+1;
	tx[n] = 11;	ty[n] = 16;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "Your local gateway's IP address:");
	ix[n] = 45;	iy[n] = 16;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "[000.000.000.000]");
	strcpy(ift[n], "[###.###.###.###]");
	strcpy(ifd[n], "[000.000.000.000]");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 19 */
	ed_path = n+1;
	tx[n] = 3;	ty[n] = 18;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "Path\\filename of your text editor:");
	ix[n] = 39;	iy[n] = 18;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "                                        ");
	strcpy(ift[n], "****************************************");
	strcpy(ifd[n], "                                        ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
/* field 20 */
    if (netnews)
    {
	pgr = n+1;
	tx[n] = 3;	ty[n] = 19;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "The command you use to view files:");
	ix[n] = 39;	iy[n] = 19;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "                                        ");
	strcpy(ift[n], "****************************************");
	strcpy(ifd[n], "                                        ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+2;
	l[n] = (n > 0) ? n : 1;		r[n] = n+2;
	rmask[n] = 127;
	n++;
    }
/* field 21 */
	tz = n+1;
	tx[n] = 12;	ty[n] = 20;	tsa[n] = 1;	tfa[n] = 0;
	strcpy(title[n], "Your timezone (e.g. MST):");
	ix[n] = 39;	iy[n] = 20;	isa[n] = 7;	ifa[n] = 0;
	strcpy(iif[n], "   ");
	strcpy(ift[n], "@@@");
	strcpy(ifd[n], "   ");
	up[n] = (n > 0) ? n : 1;	dn[n] = n+1;
	l[n] = (n > 0) ? n : 1;		r[n] = n+1;
	rmask[n] = 127;
	n++;

	nfields = n;

	clrscr();
	box(1, 1, 80, 24, 2);
	addlin(1, 5, 80, 2);
	addlin(1, 14, 80, 2);
	addlin(1, 17, 80, 2);
	addlin(1, 22, 80, 2);
	puttxt(60, 1, 0, 0, TITLE);
	puttxt(22, 3, 1, 0, "KA9Q (NOS) TCP/IP Software Installation");
	puttxt(8, 23, 1, 0, "ESC = Quit, F1 = next screen,  = previous field,  = next field");
	screen();
}
