/*	(C) Copyright 1991 Dave Fritsche (wb8zxu), All Rights Reserved.
 * 
 *	Redistribution and use in source and binary forms are permitted for
 *	non-commercial use, provided that the above copyright notice and this
 *	paragraph are duplicated in all such forms.  THIS SOFTWARE IS PROVIDED
 *	``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *	WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 *	FITNESS FOR A PARTICULAR PURPOSE.
 */
#include <stdio.h>
#include <ctype.h>
#include "screen.h"

proc01()
{
	unsigned int m, n, k;
	unsigned long ip1, ip2, ip3, ip4;

	com1 = com2 = com3 = com4 = drsi_0 = drsi_1 = pc100_0 = pc100_1 = 0;

/* STRIP NAME DOWN */
	n = chktxt(ifd[0]); 
	strcpy(name, ifd[0]);

/* STRIP STREET ADDRESS */
	n = chktxt(ifd[1]);
	strcpy(street, ifd[1]);

/* STRIP CITY */
	n = chktxt(ifd[2]);
	strcpy(city, ifd[2]);

/* STRIP STATE */
	n = chktxt(ifd[3]);
	ifd[3][0] = (unsigned char)toupper( (unsigned int)ifd[3][0] );
	ifd[3][1] = (unsigned char)toupper( (unsigned int)ifd[3][1] );
	strcpy(state, ifd[3]);

/* STRIP ZIP */
	n = chktxt(ifd[4]);
	strcpy(zip, ifd[4]);

/* STRIP PHONE */
	n = chktxt(ifd[5]);
	strcpy(phone, ifd[5]);

/* STRIP CALLSIGN */
	n = chktxt(ifd[6]); 
	for (m = 0; m <= strlen(ifd[6]); m++)
		callsign[m] = (unsigned char)tolower( (unsigned int)ifd[6][m] );

/* CONVERT IP ADDRESS TO LONG INT */
	buf[3] = NULL;
	buf[0] = ifd[7][1];	buf[1] = ifd[7][2];	buf[2] = ifd[7][3];
	sscanf(buf, "%ld", &ip1);
	buf[0] = ifd[7][5];	buf[1] = ifd[7][6];	buf[2] = ifd[7][7];
	sscanf(buf, "%ld", &ip2);
	buf[0] = ifd[7][9];	buf[1] = ifd[7][10];	buf[2] = ifd[7][11];
	sscanf(buf, "%ld", &ip3);
	buf[0] = ifd[7][13];	buf[1] = ifd[7][14];	buf[2] = ifd[7][15];
	sscanf(buf, "%ld", &ip4);
	ip = (long)( (ip1 << 24) | (ip2 << 16) | (ip3 << 8) | ip4 );

/* GATEWAY REQUIRED */
	if ( (ifd[9][0] == 'y') || (ifd[9][0] == 'Y') )
		gate_rqd = 1;
	else
		gate_rqd = 0;

/* REMOTE PASSWORD REQUIRED */
	if ( (ifd[8][0] == 'y') || (ifd[8][0] == 'Y') )
		rmt_pass = 1;
	else
		rmt_pass = 0;

/* COM1 */
	if ( (ifd[10][0] == 'y') || (ifd[10][0] == 'Y') )
		com1 = 1;

/* COM2 */
	if ( (ifd[11][0] == 'y') || (ifd[11][0] == 'Y') )
		com2 = 1;

/* COM3 */
	if ( (ifd[12][0] == 'y') || (ifd[12][0] == 'Y') )
		com3 = 1;

/* COM4 */
	if ( (ifd[13][0] == 'y') || (ifd[13][0] == 'Y') )
		com4 = 1;

/* DRSI 0 */
	if ( (ifd[14][0] == 'y') || (ifd[14][0] == 'Y') )
		drsi_0 = 1;

/* DRSI 1 */
	if ( (ifd[15][0] == 'y') || (ifd[15][0] == 'Y') )
		drsi_1 = 1;

/* PC100 0 */
	if ( (ifd[16][0] == 'y') || (ifd[16][0] == 'Y') )
		pc100_0 = 1;

/* PC100 1 */
	if ( (ifd[17][0] == 'y') || (ifd[17][0] == 'Y') )
		pc100_1 = 1;

/* NETROM REQUIRED */
	if ( (ifd[18][0] == 'y') || (ifd[18][0] == 'Y') )
		nr_rqd = 1;
	else
		nr_rqd = 0;

/* COM PORT SPEED */
/*	sscanf(ifd[7], "%ld", &m);
 *	if ( (m != 19200)
 *	  && (m != 9600)
 *	  && (m != 4800)
 *	  && (m != 2400)
 *	  && (m != 1200)
 *	  && (m != 300) )
 *		m = 1200;
 *
 *	switch(n)
 *	{
 *	case 1:
 *		com1 = 1;
 *		com1spd = m;
 *		break;
 *	case 2:
 *		com2= 1;
 *		com2spd = m;
 *		break;
 *	case 3:
 *		com3 = 1;
 *		com3spd = m;
 *		break;
 *	case 4:
 *		com4 = 1;
 *		com4spd = m;
 *		break;
 *	}
 */
 
/* SOFTWARE PATH */
	path[0] = ifd[19][0];	path[1] = ':';	path[2] = NULL;
	if (path[0] == ' ')
		path[0] = 'C';
	n = chktxt(ifd[20]);
	for (m = 0; m < n; m++)
		if (isspace(ifd[20][m]) == 0)
			break;
	for (k = m; k < n; k++)
		if (isspace(ifd[20][k]) != 0)
			break;
		else if (ifd[20][k] == '/')
			path[k-m+2] =  '\\';
		else if (ifd[20][k] == ':')
			break;
		else
			path[k-m+2] = ifd[20][k];
	path[k-m+2] = NULL;
	if (path[k-m+1] == '\\')
		path[k-m+1] = NULL;
}
